import type { RequestEvent, ResolveOptions } from '@sveltejs/kit/types';
import type { CookieSerializeOptions } from 'cookie';
import type { Simplify } from 'type-fest';
type FallbackType<T> = Simplify<{
    [K in keyof T]: T[K] extends object ? FallbackType<T[K]> : T[K];
}>;
export interface Store {
    set(key: string, value: any, ttl?: number): Promise<void>;
    get(key: string): Promise<unknown>;
    update(key: string, value: any, ttl?: number): Promise<void>;
    delete(key: string): Promise<void>;
    clear(): Promise<void>;
    keys(): Promise<string[]>;
}
declare class SvelteKitSession<T> {
    private sessionData;
    private sessionId;
    private sessionName;
    private sessionStore;
    private requestEvent;
    constructor(data: FallbackType<T>, sessionId: string, sessionName: string, sessionStore: SessionStore, requestEvent: RequestEvent);
    get data(): { [K in keyof T]: T[K] extends object ? (T[K] extends infer T_3 ? { [K_1 in keyof T_3]: T[K][K_1] extends object ? (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never) extends infer T_4 ? { [KeyType_3 in keyof T_4]: (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never)[KeyType_3]; } : never : T[K][K_1]; } : never) extends infer T_2 ? { [KeyType_2 in keyof T_2]: (T[K] extends infer T_3 ? { [K_1 in keyof T_3]: T[K][K_1] extends object ? (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never) extends infer T_4 ? { [KeyType_3 in keyof T_4]: (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never)[KeyType_3]; } : never : T[K][K_1]; } : never)[KeyType_2]; } : never : T[K]; } extends infer T_1 ? { [KeyType_1 in keyof T_1]: { [K in keyof T]: T[K] extends object ? (T[K] extends infer T_3 ? { [K_1 in keyof T_3]: T[K][K_1] extends object ? (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never) extends infer T_4 ? { [KeyType_3 in keyof T_4]: (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never)[KeyType_3]; } : never : T[K][K_1]; } : never) extends infer T_2 ? { [KeyType_2 in keyof T_2]: (T[K] extends infer T_3 ? { [K_1 in keyof T_3]: T[K][K_1] extends object ? (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never) extends infer T_4 ? { [KeyType_3 in keyof T_4]: (T[K][K_1] extends infer T_5 ? { [K_2 in keyof T_5]: T[K][K_1][K_2] extends object ? (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never) extends infer T_6 ? { [KeyType_4 in keyof T_6]: (T[K][K_1][K_2] extends infer T_7 ? { [K_3 in keyof T_7]: T[K][K_1][K_2][K_3] extends object ? (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never) extends infer T_8 ? { [KeyType_5 in keyof T_8]: (T[K][K_1][K_2][K_3] extends infer T_9 ? { [K_4 in keyof T_9]: T[K][K_1][K_2][K_3][K_4] extends object ? (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never) extends infer T_10 ? { [KeyType_6 in keyof T_10]: (T[K][K_1][K_2][K_3][K_4] extends infer T_11 ? { [K_5 in keyof T_11]: T[K][K_1][K_2][K_3][K_4][K_5] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never) extends infer T_12 ? { [KeyType_7 in keyof T_12]: (T[K][K_1][K_2][K_3][K_4][K_5] extends infer T_13 ? { [K_6 in keyof T_13]: T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never) extends infer T_14 ? { [KeyType_8 in keyof T_14]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6] extends infer T_15 ? { [K_7 in keyof T_15]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never) extends infer T_16 ? { [KeyType_9 in keyof T_16]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7] extends infer T_17 ? { [K_8 in keyof T_17]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never) extends infer T_18 ? { [KeyType_10 in keyof T_18]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8] extends infer T_19 ? { [K_9 in keyof T_19]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends object ? (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never) extends infer T_20 ? { [KeyType_11 in keyof T_20]: (T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9] extends infer T_21 ? { [K_10 in keyof T_21]: T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10] extends object ? any : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9][K_10]; } : never)[KeyType_11]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8][K_9]; } : never)[KeyType_10]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7][K_8]; } : never)[KeyType_9]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6][K_7]; } : never)[KeyType_8]; } : never : T[K][K_1][K_2][K_3][K_4][K_5][K_6]; } : never)[KeyType_7]; } : never : T[K][K_1][K_2][K_3][K_4][K_5]; } : never)[KeyType_6]; } : never : T[K][K_1][K_2][K_3][K_4]; } : never)[KeyType_5]; } : never : T[K][K_1][K_2][K_3]; } : never)[KeyType_4]; } : never : T[K][K_1][K_2]; } : never)[KeyType_3]; } : never : T[K][K_1]; } : never)[KeyType_2]; } : never : T[K]; }[KeyType_1]; } : never;
    get id(): string;
    destroy(): Promise<void>;
}
export type Session<T> = Simplify<FallbackType<T> & SvelteKitSession<T>>;
export type SessionOptions = {
    /**
     * Number of seconds until the session expires.
     */
    ttl: number;
    /** @defaultValue `true`
     * If true, the session will be refreshed on every request.
     */
    refreshSession?: boolean;
    /** @defaultValue `sessionId`
     * The name of the session cookie
     */
    name?: string;
};
export type CookieOptions = Omit<CookieSerializeOptions, 'expires' | 'maxAge'>;
export declare class SessionStore {
    /**
     * @param sessionOptions - Session options
     * @param store - compatible store
     * @param cookieOptions - cookie options
     */
    private store;
    private ttl;
    private name;
    private readonly cookieOptions;
    private refreshSession;
    constructor(sessionOptions: SessionOptions, store: Store, cookieOptions?: CookieOptions);
    /**
     *
     * @param cookieOptions
     * @returns override cookie options for this request
     */
    private getCookieOptions;
    destroySession(sessionId: string): Promise<void>;
    createSession(session: any, requestEvent: RequestEvent): Promise<any>;
    getSession(cookiesOrSessionId: string | RequestEvent['cookies']): Promise<unknown>;
    private updateSession;
    private handleSession;
    private resolve;
    listSessions(): Promise<string[]>;
}
export declare function handleSession(sessionStore: SessionStore): ({ event, resolve }: {
    event: RequestEvent<Partial<Record<string, string>>, string | null>;
    resolve(event: RequestEvent<Partial<Record<string, string>>, string | null>, opts?: ResolveOptions | undefined): import("@sveltejs/kit/types/private").MaybePromise<Response>;
}) => Promise<Response>;
export default SessionStore;
